
D4Science Infrastructure - Incident #10176

SAI is not working in the RPrototypingLab

Nov 01, 2017 02:53 PM - Gianpaolo Coro

Status: Closed Start date: Nov 01, 2017

Priority: Urgent Due date:  

Assignee: Lucio Lelii % Done: 100%

Category: High-Throughput-Computing Estimated time: 0.00 hour

Target version: infrastructure core services   

Infrastructure: Production   

Description

Publication requests get stuck forever. I think this is related to #10175 and some support service of DM is not working.

History

#1 - Nov 02, 2017 12:27 AM - Gianpaolo Coro

- Priority changed from Normal to Urgent

In particular the issue is due to the fact that my folder 

Workspace > SAI Support > SAI_WEBTG_V2 > Target

is "locked" and prevents the project from compiling. @costantino.perciante@isti.cnr.it could you please help too? There are people currently wanting

to use this algorithm.

In general, this locking issue should be avoided. This project contains many files and perhaps this error is related to that.

Please, consider that creating the project again is not an option, because this is the 7th time I redo this project and this locking issue always happens.

#2 - Nov 02, 2017 11:21 AM - Giancarlo Panichi

- Assignee changed from Giancarlo Panichi to Lucio Lelii

#3 - Nov 02, 2017 11:29 AM - Pasquale Pagano

This incident is not clear. SAI is not working in RPrototypingLab for all users and all algorithms as the title suggest or it is not working only for

WEBTG_V2 as the description is reporting?

What does mean that it is not working? Is it related to the workspace? 

#4 - Nov 02, 2017 11:43 AM - Giancarlo Panichi

Most problems are due to locks on the workspace. After restarting the workspace service seems to have returned all to work.

#5 - Nov 02, 2017 11:53 AM - Pasquale Pagano

- Status changed from New to Closed

- % Done changed from 0 to 100

So I am going to close the incident since it has been solved. If there is an issue with the workspace locking system, please open an issue on gCube. 
